searchData={"items":[{"type":"module","title":"Statestores.Adapters.MariaDBLookupAdapter","doc":"Implements the behavior defined in `Statestores.Adapters.LookupBehaviour` for MariaDB databases.","ref":"Statestores.Adapters.MariaDBLookupAdapter.html"},{"type":"module","title":"Statestores.Adapters.MariaDBProjectionAdapter","doc":"Implements the ProjectionBehaviour for MariaDB, with dynamic table name support.","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html"},{"type":"function","title":"Statestores.Adapters.MariaDBProjectionAdapter.create_or_update_table/2","doc":"Dynamically creates or updates a table in the PostgreSQL database from a Protobuf module.","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#create_or_update_table/2"},{"type":"function","title":"Parameters - Statestores.Adapters.MariaDBProjectionAdapter.create_or_update_table/2","doc":"- `repo`: The module from the Ecto repository.\n- `protobuf_module`: The Elixir module generated from a Protobuf file.\n- `table_name`: Name of the table to be created or updated in the database.","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#create_or_update_table/2-parameters"},{"type":"function","title":"Example - Statestores.Adapters.MariaDBProjectionAdapter.create_or_update_table/2","doc":"iex> create_or_update_table(MyProtobufModule, \"my_table\")","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#create_or_update_table/2-example"},{"type":"function","title":"Statestores.Adapters.MariaDBProjectionAdapter.query/4","doc":"Performs a raw query and returns the results.","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#query/4"},{"type":"function","title":"Parameters - Statestores.Adapters.MariaDBProjectionAdapter.query/4","doc":"- `repo`: The Ecto repository module.\n- `query`: The raw SQL query string with named parameters (e.g., :id).\n- `params`: A map of parameter values.\n\nReturns the result rows as a list of maps.","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#query/4-parameters"},{"type":"function","title":"Examples - Statestores.Adapters.MariaDBProjectionAdapter.query/4","doc":"iex> results = query(\"SELECT age, metadata FROM example WHERE id = :id\", %{id: \"value\"})\n  {:ok, [%{age: 30, metadata: \"example data\"}]}","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#query/4-examples"},{"type":"function","title":"Statestores.Adapters.MariaDBProjectionAdapter.upsert/3","doc":"Performs an upsert (insert or update) of data in the table.","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#upsert/3"},{"type":"function","title":"Parameters - Statestores.Adapters.MariaDBProjectionAdapter.upsert/3","doc":"- `repo`: The Ecto repository module.\n- `protobuf_module`: The Elixir module generated from a Protobuf file.\n- `table_name`: Name of the table in the database.\n- `data`: Protobuf structure containing the data to be inserted or updated.\n\nReturns `:ok` on success.","ref":"Statestores.Adapters.MariaDBProjectionAdapter.html#upsert/3-parameters"},{"type":"module","title":"Statestores.Adapters.MariaDBSnapshotAdapter","doc":"Implements the behavior defined in `Statestores.Adapters.SnapshotBehaviour` for MariaDB databases.","ref":"Statestores.Adapters.MariaDBSnapshotAdapter.html"},{"type":"function","title":"Statestores.Adapters.MariaDBSnapshotAdapter.default_port/0","doc":"","ref":"Statestores.Adapters.MariaDBSnapshotAdapter.html#default_port/0"},{"type":"function","title":"Statestores.Adapters.MariaDBSnapshotAdapter.get_all_snapshots_by_key/1","doc":"","ref":"Statestores.Adapters.MariaDBSnapshotAdapter.html#get_all_snapshots_by_key/1"},{"type":"function","title":"Statestores.Adapters.MariaDBSnapshotAdapter.get_by_key/1","doc":"","ref":"Statestores.Adapters.MariaDBSnapshotAdapter.html#get_by_key/1"},{"type":"function","title":"Statestores.Adapters.MariaDBSnapshotAdapter.get_by_key_and_revision/2","doc":"","ref":"Statestores.Adapters.MariaDBSnapshotAdapter.html#get_by_key_and_revision/2"},{"type":"function","title":"Statestores.Adapters.MariaDBSnapshotAdapter.get_snapshots_by_interval/3","doc":"","ref":"Statestores.Adapters.MariaDBSnapshotAdapter.html#get_snapshots_by_interval/3"},{"type":"function","title":"Statestores.Adapters.MariaDBSnapshotAdapter.save/1","doc":"","ref":"Statestores.Adapters.MariaDBSnapshotAdapter.html#save/1"},{"type":"module","title":"Statestores.MariadbRepo","doc":"","ref":"Statestores.MariadbRepo.html"},{"type":"function","title":"Statestores.MariadbRepo.aggregate/3","doc":"","ref":"Statestores.MariadbRepo.html#aggregate/3"},{"type":"function","title":"Statestores.MariadbRepo.aggregate/4","doc":"","ref":"Statestores.MariadbRepo.html#aggregate/4"},{"type":"function","title":"Statestores.MariadbRepo.all/2","doc":"","ref":"Statestores.MariadbRepo.html#all/2"},{"type":"function","title":"Statestores.MariadbRepo.checked_out?/0","doc":"","ref":"Statestores.MariadbRepo.html#checked_out?/0"},{"type":"function","title":"Statestores.MariadbRepo.checkout/2","doc":"","ref":"Statestores.MariadbRepo.html#checkout/2"},{"type":"function","title":"Statestores.MariadbRepo.child_spec/1","doc":"","ref":"Statestores.MariadbRepo.html#child_spec/1"},{"type":"function","title":"Statestores.MariadbRepo.config/0","doc":"","ref":"Statestores.MariadbRepo.html#config/0"},{"type":"function","title":"Statestores.MariadbRepo.default_options/1","doc":"","ref":"Statestores.MariadbRepo.html#default_options/1"},{"type":"function","title":"Statestores.MariadbRepo.delete/2","doc":"","ref":"Statestores.MariadbRepo.html#delete/2"},{"type":"function","title":"Statestores.MariadbRepo.delete!/2","doc":"","ref":"Statestores.MariadbRepo.html#delete!/2"},{"type":"function","title":"Statestores.MariadbRepo.delete_all/2","doc":"","ref":"Statestores.MariadbRepo.html#delete_all/2"},{"type":"function","title":"Statestores.MariadbRepo.disconnect_all/2","doc":"A convenience function for SQL-based repositories that forces all connections in the\npool to disconnect within the given interval.\n\nSee `Ecto.Adapters.SQL.disconnect_all/3` for more information.","ref":"Statestores.MariadbRepo.html#disconnect_all/2"},{"type":"function","title":"Statestores.MariadbRepo.exists?/2","doc":"","ref":"Statestores.MariadbRepo.html#exists?/2"},{"type":"function","title":"Statestores.MariadbRepo.explain/3","doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar\ndepending on the adapter to obtain statistics for the given query.\n\nSee `Ecto.Adapters.SQL.explain/4` for more information.","ref":"Statestores.MariadbRepo.html#explain/3"},{"type":"function","title":"Statestores.MariadbRepo.get/3","doc":"","ref":"Statestores.MariadbRepo.html#get/3"},{"type":"function","title":"Statestores.MariadbRepo.get!/3","doc":"","ref":"Statestores.MariadbRepo.html#get!/3"},{"type":"function","title":"Statestores.MariadbRepo.get_by/3","doc":"","ref":"Statestores.MariadbRepo.html#get_by/3"},{"type":"function","title":"Statestores.MariadbRepo.get_by!/3","doc":"","ref":"Statestores.MariadbRepo.html#get_by!/3"},{"type":"function","title":"Statestores.MariadbRepo.get_dynamic_repo/0","doc":"","ref":"Statestores.MariadbRepo.html#get_dynamic_repo/0"},{"type":"function","title":"Statestores.MariadbRepo.in_transaction?/0","doc":"","ref":"Statestores.MariadbRepo.html#in_transaction?/0"},{"type":"function","title":"Statestores.MariadbRepo.init/2","doc":"","ref":"Statestores.MariadbRepo.html#init/2"},{"type":"function","title":"Statestores.MariadbRepo.insert/2","doc":"","ref":"Statestores.MariadbRepo.html#insert/2"},{"type":"function","title":"Statestores.MariadbRepo.insert!/2","doc":"","ref":"Statestores.MariadbRepo.html#insert!/2"},{"type":"function","title":"Statestores.MariadbRepo.insert_all/3","doc":"","ref":"Statestores.MariadbRepo.html#insert_all/3"},{"type":"function","title":"Statestores.MariadbRepo.insert_or_update/2","doc":"","ref":"Statestores.MariadbRepo.html#insert_or_update/2"},{"type":"function","title":"Statestores.MariadbRepo.insert_or_update!/2","doc":"","ref":"Statestores.MariadbRepo.html#insert_or_update!/2"},{"type":"function","title":"Statestores.MariadbRepo.load/2","doc":"","ref":"Statestores.MariadbRepo.html#load/2"},{"type":"function","title":"Statestores.MariadbRepo.one/2","doc":"","ref":"Statestores.MariadbRepo.html#one/2"},{"type":"function","title":"Statestores.MariadbRepo.one!/2","doc":"","ref":"Statestores.MariadbRepo.html#one!/2"},{"type":"function","title":"Statestores.MariadbRepo.preload/3","doc":"","ref":"Statestores.MariadbRepo.html#preload/3"},{"type":"function","title":"Statestores.MariadbRepo.prepare_query/3","doc":"","ref":"Statestores.MariadbRepo.html#prepare_query/3"},{"type":"function","title":"Statestores.MariadbRepo.put_dynamic_repo/1","doc":"","ref":"Statestores.MariadbRepo.html#put_dynamic_repo/1"},{"type":"function","title":"Statestores.MariadbRepo.query/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query/4` for more information.","ref":"Statestores.MariadbRepo.html#query/3"},{"type":"function","title":"Statestores.MariadbRepo.query!/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query!/4` for more information.","ref":"Statestores.MariadbRepo.html#query!/3"},{"type":"function","title":"Statestores.MariadbRepo.query_many/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many/4` for more information.","ref":"Statestores.MariadbRepo.html#query_many/3"},{"type":"function","title":"Statestores.MariadbRepo.query_many!/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many!/4` for more information.","ref":"Statestores.MariadbRepo.html#query_many!/3"},{"type":"function","title":"Statestores.MariadbRepo.reload/2","doc":"","ref":"Statestores.MariadbRepo.html#reload/2"},{"type":"function","title":"Statestores.MariadbRepo.reload!/2","doc":"","ref":"Statestores.MariadbRepo.html#reload!/2"},{"type":"function","title":"Statestores.MariadbRepo.rollback/1","doc":"","ref":"Statestores.MariadbRepo.html#rollback/1"},{"type":"function","title":"Statestores.MariadbRepo.start_link/1","doc":"","ref":"Statestores.MariadbRepo.html#start_link/1"},{"type":"function","title":"Statestores.MariadbRepo.stop/1","doc":"","ref":"Statestores.MariadbRepo.html#stop/1"},{"type":"function","title":"Statestores.MariadbRepo.stream/2","doc":"","ref":"Statestores.MariadbRepo.html#stream/2"},{"type":"function","title":"Statestores.MariadbRepo.to_sql/2","doc":"A convenience function for SQL-based repositories that translates the given query to SQL.\n\nSee `Ecto.Adapters.SQL.to_sql/3` for more information.","ref":"Statestores.MariadbRepo.html#to_sql/2"},{"type":"function","title":"Statestores.MariadbRepo.transaction/2","doc":"","ref":"Statestores.MariadbRepo.html#transaction/2"},{"type":"function","title":"Statestores.MariadbRepo.update/2","doc":"","ref":"Statestores.MariadbRepo.html#update/2"},{"type":"function","title":"Statestores.MariadbRepo.update!/2","doc":"","ref":"Statestores.MariadbRepo.html#update!/2"},{"type":"function","title":"Statestores.MariadbRepo.update_all/3","doc":"","ref":"Statestores.MariadbRepo.html#update_all/3"},{"type":"extras","title":"Statestores","doc":"# Statestores\n\n<!-- MDOC !-->\n\nSpawn Statestores MariaDB is a storage lib for the Spawn Actors System","ref":"readme.html"},{"type":"extras","title":"Installation - Statestores","doc":"[Available in Hex](https://hex.pm/packages/spawn_statestores), the package can be installed\nby adding `statestores` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:spawn_statestores_mariadb, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}